package com.adealink.weparty.webview.jsbridge.callback

import com.adealink.weparty.webview.jsbridge.data.JSResponse


interface JSBridgeCallback<T> {

    val callbackId: String

    fun resolve(data: T)

    fun reject(error: JSResponse.JSError)

    fun reject(errorCode: Int, message: String? = null) {}
}